
#include <SPI.h>      //SPI library for communication with the nRF24L01+
#include "RF24.h"  //The main library of the nRF24L01+
#include <Servo.h> // servo library
#include <RF24Network.h>


RF24 radio (7,8); // CE,CSN
RF24Network network(radio);      // Include the radio in the network
const uint16_t node01 = 01;   // Address of our node in Octal format ( 04,031, etc)
const uint16_t base00 = 00;    // Address of the other node in Octal format

Servo myServo;
Servo myServoo;

//Define packet for the direction (X axis and Y axis)
int data1;

boolean t= false;




void setup() {
Serial.begin(9600);
SPI.begin();
myServo.attach(5);
myServoo.attach(4);
radio.begin();                    //Start the nRF24 communicate            
network.begin(90,node01);   
radio.setDataRate(RF24_2MBPS);

}

void loop() {
   network.update();
  //===== Receiving =====//
  while ( network.available() ) {     // Is there any incoming data?
    RF24NetworkHeader header;
     network.read(header, &data1, sizeof(data1)); // Read the incoming data
  
if(data1 > 900){
t=!t;
delay(1000);
  
}
if(t==true) {
 myServo.write(180); 
 myServoo.write(30);
 
}else {
 myServoo.write(0);
 myServo.write(150);
   }

}

}


